## gnome-triggers

gnome-triggers

## Functions

void | (*GnomeTriggerActionFunction) ()
void | gnome_triggers_add_trigger ()
void | gnome_triggers_vadd_trigger ()
void | gnome_triggers_do ()
void | gnome_triggers_vdo ()

## Types and Values

enum | GnomeTriggerType
| GnomeTrigger

## Includes

    #include <libgnome/libgnome.h>

## Description

## Functions

### GnomeTriggerActionFunction ()

    void
    (*GnomeTriggerActionFunction) (char *msg,
                                   char *level,
                                   char *supinfo[]);

### gnome_triggers_add_trigger ()

    void
    gnome_triggers_add_trigger (GnomeTrigger *nt,
                                ...);

Adds a new GnomeTrigger instance to the event hierarchy.

#### Parameters

nt | Information on the new trigger to be added. |
... | The section to add the trigger under. |

### gnome_triggers_vadd_trigger ()

    void
    gnome_triggers_vadd_trigger (GnomeTrigger *nt,
                                 char *supinfo[]);

This does the same as `gnome_triggers_add_trigger()`, except the section is stored in the `NULL` terminated array `supinfo` instead of as a variable length argument list.

#### Parameters

nt | Information on the new trigger to be added. |
supinfo | The section to add the trigger under. |

### gnome_triggers_do ()

    void
    gnome_triggers_do (const char *msg,
                       const char *level,
                       ...);

Notifies GNOME about an event happening, so that any appropriate handlers can be run.

#### Parameters

msg | The human-readable message describing the event (can be `NULL`). |
level | The level of severity of the event, or `NULL`. |
... | The classification of the event. |

### gnome_triggers_vdo ()

    void
    gnome_triggers_vdo (const char *msg,
                        const char *level,
                        const char *supinfo[]);

Notifies GNOME about an event happening, so that any appropriate handlers can be run. This does the same as `gnome_trigger_do()` except that it takes a `NULL` terminated array instead of a varargs list.

#### Parameters

msg | The human-readable message describing the event (can be `NULL`). |
level | The level of severity of the event, or `NULL`. |
supinfo | The classification of the event (`NULL` terminated array). |

## Types and Values

### enum GnomeTriggerType

#### Members

GTRIG_NONE |  |
GTRIG_FUNCTION |  |
GTRIG_COMMAND |  |
GTRIG_MEDIAPLAY |  |

### GnomeTrigger

    typedef struct {
    	GnomeTriggerType type;
    	union {
    		/*
    		 * These will be passed the same info as
    		 * gnome_triggers_do was given.
    		 */
    		GnomeTriggerActionFunction function;
    		gchar *command;
    		struct {
    			gchar *file;
    			int cache_id;
    		} media;
    	} u;
            gchar *level;
    } GnomeTrigger;